PCL 1.5.1 CMake compile problem

classic Classic list List threaded Threaded
22 messages Options
12
Reply | Threaded
Open this post in threaded view
|

PCL 1.5.1 CMake compile problem

Lin Wang
Hello everyone,

I am Compiling PCL1.5.1 from source in Windows using the 3rd party installers and I have a problem on cmTryCompileExec.exe.
When I configure the PCL in CMake, there is an error:
unkown software exception (ox000001d), located at ox0040108a.

I work in: Windows XP, MSVC 2008, Cmake 2.8.6, and all the other dependencies are downloaded from the download page.
I have succeeded in PCL1.4, but my 1.4 can only run CloudViewer, does not support PCL Visualizer, so now I recompile 1.5.

If I stop the cmTryCompileExec.exe, the configure continues, and this is the information from CMake:
//-------------------------------------------------------------------
Check for working C compiler using: Visual Studio 9 2008
Check for working C compiler using: Visual Studio 9 2008 -- works
Detecting C compiler ABI info
Detecting C compiler ABI info - done
Check for working CXX compiler using: Visual Studio 9 2008
Check for working CXX compiler using: Visual Studio 9 2008 -- works
Detecting CXX compiler ABI info
Detecting CXX compiler ABI info - done
Performing Test HAVE_MM_MALLOC
Performing Test HAVE_MM_MALLOC - Failed
Performing Test HAVE_POSIX_MEMALIGN
Performing Test HAVE_POSIX_MEMALIGN - Failed
Performing Test HAVE_SSE4_1_EXTENSIONS
Performing Test HAVE_SSE4_1_EXTENSIONS - Failed
Performing Test HAVE_SSE3_EXTENSIONS
Performing Test HAVE_SSE3_EXTENSIONS - Success
Performing Test HAVE_SSE2_EXTENSIONS
Performing Test HAVE_SSE2_EXTENSIONS - Success
Performing Test HAVE_SSE_EXTENSIONS
Performing Test HAVE_SSE_EXTENSIONS - Success
Found SSE2 extensions, using flags:  /arch:SSE2
Try OpenMP C flag = [-fopenmp]
Performing Test OpenMP_FLAG_DETECTED
Performing Test OpenMP_FLAG_DETECTED - Failed
Try OpenMP C flag = [/openmp]
Performing Test OpenMP_FLAG_DETECTED
Performing Test OpenMP_FLAG_DETECTED - Success
Try OpenMP CXX flag = [-fopenmp]
Performing Test OpenMP_FLAG_DETECTED
Performing Test OpenMP_FLAG_DETECTED - Failed
Try OpenMP CXX flag = [/openmp]
Performing Test OpenMP_FLAG_DETECTED
Performing Test OpenMP_FLAG_DETECTED - Success
Found OpenMP: /openmp
Boost version: 1.47.0
Found the following Boost libraries:
  system
  filesystem
  thread
  date_time
  iostreams
Found Eigen: F:/PCL_NEW/Libraries/Eigen/include
Eigen found (include: F:/PCL_NEW/Libraries/Eigen/include)
Found Flann: F:/PCL_NEW/Libraries/flann/lib/flann_cpp_s.lib
FLANN found (include: F:/PCL_NEW/Libraries/flann/include, lib: optimized;F:/PCL_NEW/Libraries/flann/lib/flann_cpp_s.lib;debug;F:/PCL_NEW/Libraries/flann/lib/flann_cpp_s-gd.lib)
Found OpenNI: F:/Kinect/Libraries/OpenNI1.3.2/Lib/openNI.lib
OpenNI found (include: F:/PCL_NEW/Libraries/OpenNI/Include, lib: F:/Kinect/Libraries/OpenNI1.3.2/Lib/openNI.lib)
Found Qhull: F:/PCL_NEW/Libraries/qhull/lib/qhullstatic.lib
QHULL found (include: F:/PCL_NEW/Libraries/qhull/include, lib: optimized;F:/PCL_NEW/Libraries/qhull/lib/qhullstatic.lib;debug;F:/PCL_NEW/Libraries/qhull/lib/qhullstatic_d.lib)
Looking for Q_WS_X11
Looking for Q_WS_X11 - not found.
Looking for Q_WS_WIN
Looking for Q_WS_WIN - found
Looking for Q_WS_QWS
Looking for Q_WS_QWS - not found.
Looking for Q_WS_MAC
Looking for Q_WS_MAC - not found.
Found Qt4: D:/QtSDK/Desktop/Qt/4.7.4/msvc2008/bin/qmake.exe (found version "4.7.4")
Could NOT find QVTK (missing:  QVTK_INCLUDE_DIR)
VTK found (include: F:/PCL_NEW/Libraries/VTK 5.8.0/include/vtk-5.8, lib: F:/PCL_NEW/Libraries/VTK 5.8.0/lib/vtk-5.8)
Could NOT find MPI_C (missing:  MPI_C_LIBRARIES MPI_C_INCLUDE_PATH)
Could NOT find MPI_CXX (missing:  MPI_CXX_LIBRARIES MPI_CXX_INCLUDE_PATH)
Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE)
Could NOT find GTest (missing:  GTEST_LIBRARY GTEST_INCLUDE_DIR GTEST_MAIN_LIBRARY)
Tests will not be built: GTest was not found.
Unsorted modules: apps;common;examples;features;filters;io;kdtree;keypoints;octree;registration;sample_consensus;search;segmentation;surface;global_tests;tools;tracking;visualization
Modules: common;octree;io;sample_consensus;kdtree;search;filters;segmentation;visualization;features;surface;registration;keypoints;tracking;apps;examples;global_tests;tools
PCL_EXAMPLES_SUBDIRS F:/PCL_NEW/Libraries/PCL_1.5/PCL-1.5.1-Source/examples/common;F:/PCL_NEW/Libraries/PCL_1.5/PCL-1.5.1-Source/examples/features;F:/PCL_NEW/Libraries/PCL_1.5/PCL-1.5.1-Source/examples/filters
Could NOT find GTest (missing:  GTEST_LIBRARY GTEST_INCLUDE_DIR GTEST_MAIN_LIBRARY)
DOXYGEN_FOUND NO
HTML_HELP_COMPILER
Could NOT find PythonInterp (missing:  PYTHON_EXECUTABLE)
Could NOT find Sphinx (missing:  SPHINX_EXECUTABLE)
Found CPack generators: NSIS
The following subsystems will be built:
  common
  octree
  io
  sample_consensus
  kdtree
  search
  filters
  segmentation
  visualization
  features
  surface
  registration
  keypoints
  tracking
  apps
  examples
  tools
The following subsystems will not be built:
  global_tests: GTest was not found.
Configuring done
//----------------------------------------------------------------------
Is there any new conditions need to be satisfied for PCL 1.5.1?
Or Does PCL 1.5.1 work on Windows XP?
I am really confused about this problem.
Thanks :)

Regards,
Lin
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Radu B. Rusu
Administrator
Lin,

That looks like a successful cmake run. What's the problem? :)

Cheers,
Radu.
--
http://pointclouds.org

On 03/12/2012 11:28 AM, Lin Wang wrote:

> Hello everyone,
>
> I am Compiling PCL1.5.1 from source in Windows using the 3rd party
> installers and I have a problem on cmTryCompileExec.exe.
> When I configure the PCL in CMake, there is an error:
> unkown software exception (ox000001d), located at ox0040108a.
>
> I work in: Windows XP, MSVC 2008, Cmake 2.8.6, and all the other
> dependencies are downloaded from the download page.
> I have succeeded in PCL1.4, but my 1.4 can only run CloudViewer, does not
> support PCL Visualizer, so now I recompile 1.5.
>
> If I stop the cmTryCompileExec.exe, the configure continues, and this is the
> information from CMake:
> //-------------------------------------------------------------------
> Check for working C compiler using: Visual Studio 9 2008
> Check for working C compiler using: Visual Studio 9 2008 -- works
> Detecting C compiler ABI info
> Detecting C compiler ABI info - done
> Check for working CXX compiler using: Visual Studio 9 2008
> Check for working CXX compiler using: Visual Studio 9 2008 -- works
> Detecting CXX compiler ABI info
> Detecting CXX compiler ABI info - done
> Performing Test HAVE_MM_MALLOC
> Performing Test HAVE_MM_MALLOC - Failed
> Performing Test HAVE_POSIX_MEMALIGN
> Performing Test HAVE_POSIX_MEMALIGN - Failed
> Performing Test HAVE_SSE4_1_EXTENSIONS
> Performing Test HAVE_SSE4_1_EXTENSIONS - Failed
> Performing Test HAVE_SSE3_EXTENSIONS
> Performing Test HAVE_SSE3_EXTENSIONS - Success
> Performing Test HAVE_SSE2_EXTENSIONS
> Performing Test HAVE_SSE2_EXTENSIONS - Success
> Performing Test HAVE_SSE_EXTENSIONS
> Performing Test HAVE_SSE_EXTENSIONS - Success
> Found SSE2 extensions, using flags:  /arch:SSE2
> Try OpenMP C flag = [-fopenmp]
> Performing Test OpenMP_FLAG_DETECTED
> Performing Test OpenMP_FLAG_DETECTED - Failed
> Try OpenMP C flag = [/openmp]
> Performing Test OpenMP_FLAG_DETECTED
> Performing Test OpenMP_FLAG_DETECTED - Success
> Try OpenMP CXX flag = [-fopenmp]
> Performing Test OpenMP_FLAG_DETECTED
> Performing Test OpenMP_FLAG_DETECTED - Failed
> Try OpenMP CXX flag = [/openmp]
> Performing Test OpenMP_FLAG_DETECTED
> Performing Test OpenMP_FLAG_DETECTED - Success
> Found OpenMP: /openmp
> Boost version: 1.47.0
> Found the following Boost libraries:
>   system
>   filesystem
>   thread
>   date_time
>   iostreams
> Found Eigen: F:/PCL_NEW/Libraries/Eigen/include
> Eigen found (include: F:/PCL_NEW/Libraries/Eigen/include)
> Found Flann: F:/PCL_NEW/Libraries/flann/lib/flann_cpp_s.lib
> FLANN found (include: F:/PCL_NEW/Libraries/flann/include, lib:
> optimized;F:/PCL_NEW/Libraries/flann/lib/flann_cpp_s.lib;debug;F:/PCL_NEW/Libraries/flann/lib/flann_cpp_s-gd.lib)
> Found OpenNI: F:/Kinect/Libraries/OpenNI1.3.2/Lib/openNI.lib
> OpenNI found (include: F:/PCL_NEW/Libraries/OpenNI/Include, lib:
> F:/Kinect/Libraries/OpenNI1.3.2/Lib/openNI.lib)
> Found Qhull: F:/PCL_NEW/Libraries/qhull/lib/qhullstatic.lib
> QHULL found (include: F:/PCL_NEW/Libraries/qhull/include, lib:
> optimized;F:/PCL_NEW/Libraries/qhull/lib/qhullstatic.lib;debug;F:/PCL_NEW/Libraries/qhull/lib/qhullstatic_d.lib)
> Looking for Q_WS_X11
> Looking for Q_WS_X11 - not found.
> Looking for Q_WS_WIN
> Looking for Q_WS_WIN - found
> Looking for Q_WS_QWS
> Looking for Q_WS_QWS - not found.
> Looking for Q_WS_MAC
> Looking for Q_WS_MAC - not found.
> Found Qt4: D:/QtSDK/Desktop/Qt/4.7.4/msvc2008/bin/qmake.exe (found version
> "4.7.4")
> Could NOT find QVTK (missing:  QVTK_INCLUDE_DIR)
> VTK found (include: F:/PCL_NEW/Libraries/VTK 5.8.0/include/vtk-5.8, lib:
> F:/PCL_NEW/Libraries/VTK 5.8.0/lib/vtk-5.8)
> Could NOT find MPI_C (missing:  MPI_C_LIBRARIES MPI_C_INCLUDE_PATH)
> Could NOT find MPI_CXX (missing:  MPI_CXX_LIBRARIES MPI_CXX_INCLUDE_PATH)
> Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE)
> Could NOT find GTest (missing:  GTEST_LIBRARY GTEST_INCLUDE_DIR
> GTEST_MAIN_LIBRARY)
> Tests will not be built: GTest was not found.
> Unsorted modules:
> apps;common;examples;features;filters;io;kdtree;keypoints;octree;registration;sample_consensus;search;segmentation;surface;global_tests;tools;tracking;visualization
> Modules:
> common;octree;io;sample_consensus;kdtree;search;filters;segmentation;visualization;features;surface;registration;keypoints;tracking;apps;examples;global_tests;tools
> PCL_EXAMPLES_SUBDIRS
> F:/PCL_NEW/Libraries/PCL_1.5/PCL-1.5.1-Source/examples/common;F:/PCL_NEW/Libraries/PCL_1.5/PCL-1.5.1-Source/examples/features;F:/PCL_NEW/Libraries/PCL_1.5/PCL-1.5.1-Source/examples/filters
> Could NOT find GTest (missing:  GTEST_LIBRARY GTEST_INCLUDE_DIR
> GTEST_MAIN_LIBRARY)
> DOXYGEN_FOUND NO
> HTML_HELP_COMPILER
> Could NOT find PythonInterp (missing:  PYTHON_EXECUTABLE)
> Could NOT find Sphinx (missing:  SPHINX_EXECUTABLE)
> Found CPack generators: NSIS
> The following subsystems will be built:
>   common
>   octree
>   io
>   sample_consensus
>   kdtree
>   search
>   filters
>   segmentation
>   visualization
>   features
>   surface
>   registration
>   keypoints
>   tracking
>   apps
>   examples
>   tools
> The following subsystems will not be built:
>   global_tests: GTest was not found.
> Configuring done
> //----------------------------------------------------------------------
> Is there any new conditions need to be satisfied for PCL 1.5.1?
> Or Does PCL 1.5.1 work on Windows XP?
> I am really confused about this problem.
> Thanks :)
>
> Regards,
> Lin
>
> --
> View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p3820063.html
> Sent from the Point Cloud Library (PCL) Users mailing list archive at Nabble.com.
> _______________________________________________
> [hidden email] / http://pointclouds.org
> http://pointclouds.org/mailman/listinfo/pcl-users
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Lin Wang
Hi, Radu,

Thanks for the reply :D

But the generated PCL.sln file always can not be compiled successfully.
So I am looking for the error.

It's not the cmTryCompileExec.exe problem? the configure is correct?
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Mourad

Hi

It's because of Windows' UAC.

Close VS, right click on its icon and choose 'run as administrator'. Then open PCL.sln and build the INSTALL project.

Cheers,
Mourad

Le 12 mars 2012 19:36, "Lin Wang" <[hidden email]> a écrit :
Hi, Radu,

Thanks for the reply :D

But the generated PCL.sln file always can not be compiled successfully.
So I am looking for the error.

It's not the cmTryCompileExec.exe problem? the configure is correct?

--
View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p3820087.html
Sent from the Point Cloud Library (PCL) Users mailing list archive at Nabble.com.
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Lin Wang
Thanks Mourad,

But there is only one account on my computer, so I am the administrator all the time.

I don't understand  why PCL1.5.1 also asks the directory of QT, and my QT is not from the download page, I hope this is not a big problem.

in my built items from CMake, there is no range_Image anymore.

And when I compiled the PCL.sln file, the error began with the third project: ply_io, and then of course it failed.
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

highlight

Hi mourad,
I think.there is no 'run as administrator' in windows xp by right click. It s not like windows 7. Correct me if I m wrong.

Thank you

On Mar 12, 2012 8:15 PM, "Lin Wang" <[hidden email]> wrote:
Thanks Mourad,

But there is only one account on my computer, so I am the administrator all
the time.

I don't understand  why PCL1.5.1 also asks the directory of QT, and my QT is
not from the download page, I hope this is not a big problem.

in my built items from CMake, there is no range_Image anymore.

And when I compiled the PCL.sln file, the error began with the third
project: ply_io, and then of course it failed.

--
View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p3820219.html
Sent from the Point Cloud Library (PCL) Users mailing list archive at Nabble.com.
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Mourad
Hi Younesse,

Yes you're right, I answered too fast, and Lin's first description wasn't clear neither :)

Lin,

So, your problem is that pcl_io_ply didn't build correclty, and thus when installing PCL, the library is not found.
Can you send the error about it ?

Qt is a new optional dependency. If you have already Qt, it should be OK, no need to use our installers. Anyway, you don't need to worry about it.

range_image module was merged with pcl_common module. If you were using it in your own projects, there is nothing to modify, just make sure not to link to it explicitely.

Cheers,
Mourad

On Mon, Mar 12, 2012 at 9:41 PM, Younesse ANDAM <[hidden email]> wrote:

Hi mourad,
I think.there is no 'run as administrator' in windows xp by right click. It s not like windows 7. Correct me if I m wrong.

Thank you

On Mar 12, 2012 8:15 PM, "Lin Wang" <[hidden email]> wrote:
Thanks Mourad,

But there is only one account on my computer, so I am the administrator all
the time.

I don't understand  why PCL1.5.1 also asks the directory of QT, and my QT is
not from the download page, I hope this is not a big problem.

in my built items from CMake, there is no range_Image anymore.

And when I compiled the PCL.sln file, the error began with the third
project: ply_io, and then of course it failed.

--
View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p3820219.html
Sent from the Point Cloud Library (PCL) Users mailing list archive at Nabble.com.
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Lin Wang
Hi Mourad,

Thank you for your reply and sorry for that I am late, since these two days I was trying do the global registration in PCL1.4 and also met a lot problems.

Today I compile the PCL 1.5 with a new VTK (QT support, new released here) again and the error is the same in pcl_io_ply:
//-----------
Compiling...
ply_parser.cpp
..\PCL-1.5.1-Source\io\src\ply\ply_parser.cpp : warning C4819: The file contains a character that cannot be represented in the current code page (936). Save the file in Unicode format to prevent data loss
F:\PCL_NEW\Libraries\PCL_1.5\PCL-1.5.1-Source\io\include\pcl/io/ply/ply_parser.h : warning C4819: The file contains a character that cannot be represented in the current code page (936). Save the file in Unicode format to prevent data loss
F:\PCL_NEW\Libraries\PCL_1.5\PCL-1.5.1-Source\io\include\pcl/io/ply/ply_parser.h(54) : fatal error C1083: Cannot open include file: 'tuple': No such file or directory
//-----------
and I do not really have the 'tuple' :(

What should I do??

Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

pangxufang
This post has NOT been accepted by the mailing list yet.
Hi Lin,
have you complied PCL1.5.1 sucessfully? I met the same problem as you did. And i noticed that the some lib files have not been generated by CMAKE, the problem may be red lines in cmake output:
"Unsorted modules: apps;common;examples;features;filters;io;kdtree;keypoints;octree;registration;sample_consensus;search;segmentation;surface;global_tests;tools;tracking;visualization
Modules:"


Have you solved the problem? Looking forward to your answer,thanks!

Best wishes!

Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Lin Wang
Hi pangxufang,

Sorry, I didn't fix this problem. I am still using PCL1.4.

It's good to know from you that the reason may be the CMAKE and library, since I am really confused about it.

I think you'd better tell Radu B. Rusu or other guys who develops the library. Then maybe they could fix it and people can use it later.

Regards,
Lin Wang
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

pangxufang
This post has NOT been accepted by the mailing list yet.
Hi Lin,
Thanks for your reply. I have double-checked the cmake output files of yours and my, it shows we have the very similar problem. However, I am still not sure if it is the Compatibility issues of PCL1.5.1 or the problems resulted by some wrong operations during the installation process. Anyway, since there is no solution on internet, i will send the error reports to the developers of PCL, and hope they can offer some help.

By the way, i have been stuck on this problem in the past few days, so if you made any progress on this issue, please contact me. Thanks!

Best wishes!
PangXufang
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

pedro_nf
The problem is with tuple class that is part of .NET 4.0 and not .NET3.5...
See here for more details: http://stackoverflow.com/questions/4312218/error-with-tuple-in-c-sharp-2008
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

jiapei100
In reply to this post by Lin Wang

" Unsorted modules:" also occurs on Ubuntu 12.04....

I never successfully built PCL by my own till now. And the pre-compiled binary is built upon boost 1.46.1, which is not what I want....


Cheers
Pei
Welcome to Vision Open http://www.visionopen.com
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

deguolao
Hi Pei:

I am using Ubuntu 12.04 and I am also running into the "Unsorted modules: ..." problem, when I run ccmake.

what did you do to fix this problem?

thanks a millions,
deguolao
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Radu B Rusu
Administrator

Do you have any other subdirectory (besides the ones we officially released in 1.5.1) with a CMakeLists.txt file?

If you could upload the CMakeCache.txt file somewhere, and point us at it, we might be able to help more.

Cheers,
Radu.

On 06/19/2012 11:35 PM, deguolao wrote:

> Hi Pei:
>
> I am using Ubuntu 12.04 and I am also running into the "Unsorted modules:
> ..." problem, when I run ccmake.
>
> what did you do to fix this problem?
>
> thanks a millions,
> deguolao
>
> --
> View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p4019468.html
> Sent from the Point Cloud Library (PCL) Users mailing list archive at Nabble.com.
> _______________________________________________
> [hidden email] / http://pointclouds.org
> http://pointclouds.org/mailman/listinfo/pcl-users
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

deguolao
Hi Radu:

I did not change the CMakeLists.txt.

What I did was, I created a /build subdirectory in the official, extracted folder, "PCL-1.5.1-Source". In this build subdirectory, I followed the instruction as given on the official website (of course, I installed the mandatory dependencies before I start to build PCL)

http://pointclouds.org/downloads/source.html 

Should I not have made a subdirectory for doing the cmake and make?

thanks for your help,
deguolao
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Radu B Rusu
Administrator
Can you upload your CMakeCache.txt somewhere and point us at it?

Cheers,
Radu.

On 06/20/2012 02:48 PM, deguolao wrote:

> Hi Radu:
>
> I did not change the CMakeLists.txt.
>
> What I did was, I created a /build subdirectory in the official, extracted
> folder, "PCL-1.5.1-Source". In this build subdirectory, I followed the
> instruction as given on the official website (of course, I installed the
> mandatory dependencies before I start to build PCL)
>
> http://pointclouds.org/downloads/source.html
>
> Should I not have made a subdirectory for doing the cmake and make?
>
> thanks for your help,
> deguolao
>
> --
> View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p4019503.html
> Sent from the Point Cloud Library (PCL) Users mailing list archive at Nabble.com.
> _______________________________________________
> [hidden email] / http://pointclouds.org
> http://pointclouds.org/mailman/listinfo/pcl-users
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

cengjingbanxia
i have the same problem  occured. what should i do to be  with it?
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

TUMAAA
This post was updated on .
In reply to this post by Radu B Rusu
Hi Radu,

Have you found a fix for this problem? I need to use pcl 1.5 and somehow am having the same problem. Simply svn co pcl.1.5, created a build subdir inside the PCL1.5_ROOT_DIR and ran "ccamke -DVTK_DIR=DIR_TO_VTK_BUILD_FOLDER ..". I get this weird "unsorted modules". And after a couple of tries it allows me to generate. Nevertheless, by then it will have reset the "VTK_DIR" in cmake.

BTW it is also an Ubuntu 12.04 (as is the case for many here who are complaining from this problem!).

Thanks for the help
TUMAAA
Reply | Threaded
Open this post in threaded view
|

Re: PCL 1.5.1 CMake compile problem

Radu B. Rusu
Administrator
In general, we recommend our users to try the latest versions first (1.6.1, 1.7.0). PCL 1.5.1 is very old and the issues that you mentioned might have been fixed already.

Best,
Radu.

On Sep 2, 2013, at 7:29 AM, TUMAAA <[hidden email]> wrote:

> Hi Radu,
>
> Have you found a fix for this problem? I need to use pcl 1.5 and somehow am
> having the same problem. Simply svn co pcl.1.5, created a build subdir
> inside the PCL1.5_ROOT_DIR and ran "ccamke -DVTK_DIR=DIR_TO_VTK_BUILD_FOLDER
> ..". I get this weird "unsorted modules". And after a couple of tries it
> allows me to generate. Nevertheless, by then it will have reset the
> "VTK_DIR" in cmake.
>
> Thanks for the help
> TUMAAA
>
>
>
> --
> View this message in context: http://www.pcl-users.org/PCL-1-5-1-CMake-compile-problem-tp3820063p4029405.html
> Sent from the Point Cloud Library (PCL) Users mailing list mailing list archive at Nabble.com.
> _______________________________________________
> [hidden email] / http://pointclouds.org
> http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
12